FROM golang:1.23.9-alpine3.21 as builder

COPY ./ /go/src/ana-ledger
WORKDIR /go/src/ana-ledger
RUN cd ./cmd; go build -o /go/bin/ana-ledger

FROM alpine:3.18.4

COPY --from=builder /go/bin/ana-ledger /bin/
CMD []
ENTRYPOINT ["/bin/ana-ledger"]
